aboutsummaryrefslogtreecommitdiff
path: root/app
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-01-29 08:21:30 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-01-29 08:21:30 +0000
commit8cd3c1c224db3ed9381179b74d280bd54597ae10 (patch)
tree39becf4d5f86780ffcde34791af92e46b9fece6b /app
parente1e6b23e6671cdf446862bad3c710443634ce4b0 (diff)
downloadslackbuilds-8cd3c1c224db3ed9381179b74d280bd54597ae10.tar.gz
slackbuilds-8cd3c1c224db3ed9381179b74d280bd54597ae10.tar.bz2
Consertando alguns bugs
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@995 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app')
-rwxr-xr-xapp/crypt/gnupg2/gnupg2.SlackBuild5
1 files changed, 3 insertions, 2 deletions
diff --git a/app/crypt/gnupg2/gnupg2.SlackBuild b/app/crypt/gnupg2/gnupg2.SlackBuild
index 17d5d717..2e7a17fa 100755
--- a/app/crypt/gnupg2/gnupg2.SlackBuild
+++ b/app/crypt/gnupg2/gnupg2.SlackBuild
@@ -91,7 +91,8 @@ fi
gpg --verify "$SRC_DIR/$SRC.sig" "$SRC_DIR/$SRC" || exit $ERROR_GPG
# Untar, patch, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" -C "$SRC_DIR" || exit $ERROR_TAR
+cd "$SRC_DIR"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC/g10"
patch -Np0 < "$CWD/filter-context-20-small.diff" || exit $ERROR_PATCH
cd "$PKG_SRC"
@@ -116,7 +117,7 @@ make install DESTDIR="$PKG" || exit $ERROR_INSTALL
mv -f "$PKG/$PREFIX/share/gnupg" "$PKG/$PREFIX/share/gnupg2"
# Install gpg2, gpgv2, gpg-agent, and gpgsm already suid root
-chmod 4755 "$PKG/$PREFIX/bin/{gpg2,gpgv2,gpg-agent,gpgsm}"
+chmod 4755 "$PKG/$PREFIX/bin/"{gpg2,gpgv2,gpg-agent,gpgsm}
# Compress and link manpages
if [ -d "$PKG/$PREFIX/man" ]; then